package com.prolog.upcloud.base.wh.operate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 盘点信息VO
 * @Date 2021-04-07
 */
@ApiModel
public class InvCheckDetailPdaVO implements Serializable {
    private static final long serialVersionUID = -3892755172017377482L;

    @ApiModelProperty("盘点行编码")
    private String checkLineId;

    @ApiModelProperty("盘点方式")
    private String checkMethod;

    @ApiModelProperty("盘点方式名称")
    private String checkMethodName;

    @ApiModelProperty("货主ID")
    private String cargoOwnerId;

    @ApiModelProperty("货主名称")
    private String cargoOwnerName;

    @ApiModelProperty("库位编码")
    private String locatorId;

    @ApiModelProperty("库位编号")
    private String locatorCode;

    @ApiModelProperty("库别")
    private String warehouseAreaCategory;

    @ApiModelProperty("数量")
    private BigDecimal quantity;

    @ApiModelProperty("批次编码")
    private String batchId;

    @ApiModelProperty("商品编码")
    private String itemId;

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("包装单位")
    private String caseUom;

    @ApiModelProperty(value = "商品规格说明")
    private String specification;

    @ApiModelProperty("规格")
    private BigDecimal caseConvertionRate;

    @ApiModelProperty("厂商批号")
    private String manufacturerLotNum;

    @ApiModelProperty("生产日期")
    private Date batchProductionDate;

    @ApiModelProperty("有效期至")
    private Date batchExpiredDate;

    @ApiModelProperty("生产日期")
    private String batchProductionDateShow;

    @ApiModelProperty("有效期至")
    private String batchExpiredDateShow;

    @ApiModelProperty("容器编号")
    private String containerCode;

    @ApiModelProperty("货格编号")
    private String goodsCaseCode;

    @ApiModelProperty("行号")
    private Integer lineNum;

    @ApiModelProperty("总量")
    private Integer totalNum;

    public String getWarehouseAreaCategory() {
        return warehouseAreaCategory;
    }

    public void setWarehouseAreaCategory(String warehouseAreaCategory) {
        this.warehouseAreaCategory = warehouseAreaCategory;
    }

    public String getCheckMethod() {
        return checkMethod;
    }

    public void setCheckMethod(String checkMethod) {
        this.checkMethod = checkMethod;
    }

    public String getCheckMethodName() {
        return checkMethodName;
    }

    public void setCheckMethodName(String checkMethodName) {
        this.checkMethodName = checkMethodName;
    }

    public String getBatchProductionDateShow() {
        return batchProductionDateShow;
    }

    public void setBatchProductionDateShow(String batchProductionDateShow) {
        this.batchProductionDateShow = batchProductionDateShow;
    }

    public String getBatchExpiredDateShow() {
        return batchExpiredDateShow;
    }

    public void setBatchExpiredDateShow(String batchExpiredDateShow) {
        this.batchExpiredDateShow = batchExpiredDateShow;
    }

    public String getCheckLineId() {
        return checkLineId;
    }

    public void setCheckLineId(String checkLineId) {
        this.checkLineId = checkLineId;
    }

    public String getLocatorId() {
        return locatorId;
    }

    public void setLocatorId(String locatorId) {
        this.locatorId = locatorId;
    }

    public String getLocatorCode() {
        return locatorCode;
    }

    public void setLocatorCode(String locatorCode) {
        this.locatorCode = locatorCode;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getCaseUom() {
        return caseUom;
    }

    public void setCaseUom(String caseUom) {
        this.caseUom = caseUom;
    }

    public BigDecimal getCaseConvertionRate() {
        return caseConvertionRate;
    }

    public void setCaseConvertionRate(BigDecimal caseConvertionRate) {
        this.caseConvertionRate = caseConvertionRate;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public Date getBatchProductionDate() {
        return batchProductionDate;
    }

    public void setBatchProductionDate(Date batchProductionDate) {
        this.batchProductionDate = batchProductionDate;
    }

    public Date getBatchExpiredDate() {
        return batchExpiredDate;
    }

    public void setBatchExpiredDate(Date batchExpiredDate) {
        this.batchExpiredDate = batchExpiredDate;
    }

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getGoodsCaseCode() {
        return goodsCaseCode;
    }

    public void setGoodsCaseCode(String goodsCaseCode) {
        this.goodsCaseCode = goodsCaseCode;
    }

    public Integer getLineNum() {
        return lineNum;
    }

    public void setLineNum(Integer lineNum) {
        this.lineNum = lineNum;
    }

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getCargoOwnerId() {
        return cargoOwnerId;
    }

    public void setCargoOwnerId(String cargoOwnerId) {
        this.cargoOwnerId = cargoOwnerId;
    }

    public String getCargoOwnerName() {
        return cargoOwnerName;
    }

    public void setCargoOwnerName(String cargoOwnerName) {
        this.cargoOwnerName = cargoOwnerName;
    }
}
